sidebarNodes={"modules":[{"id":"LiveTable","deprecated":false,"group":"","title":"LiveTable","sections":[{"id":"✨ Features","anchor":"module-features"},{"id":"🚀 Quick Start","anchor":"module-quick-start"},{"id":"🏗 Usage Patterns","anchor":"module-usage-patterns"},{"id":"📚 Documentation","anchor":"module-documentation"},{"id":"🎯 Use Cases","anchor":"module-use-cases"},{"id":"📄 License","anchor":"module-license"},{"id":"🤝 Contributing","anchor":"module-contributing"},{"id":"📞 Support","anchor":"module-support"}]},{"id":"LiveTable.Boolean","deprecated":false,"group":"","title":"LiveTable.Boolean","sections":[{"id":"Examples","anchor":"module-examples"}]},{"id":"LiveTable.Range","deprecated":false,"group":"","title":"LiveTable.Range","sections":[{"id":"Options","anchor":"module-options"},{"id":"Types Support","anchor":"module-types-support"},{"id":"Examples","anchor":"module-examples"}]},{"id":"LiveTable.Select","deprecated":false,"group":"","title":"LiveTable.Select","sections":[{"id":"Options","anchor":"module-options"},{"id":"Working with Options","anchor":"module-working-with-options"},{"id":"Option Templates","anchor":"module-option-templates"},{"id":"Examples","anchor":"module-examples"}]},{"id":"LiveTable.Transformer","deprecated":false,"group":"","title":"LiveTable.Transformer","sections":[],"nodeGroups":[{"name":"Functions","nodes":[{"id":"apply/2","deprecated":false,"title":"apply(query, filter)","anchor":"apply/2"},{"id":"new/2","deprecated":false,"title":"new(key, options)","anchor":"new/2"}],"key":"functions"}]}],"extras":[{"id":"api-reference","group":"","title":"API Reference","headers":[{"id":"Modules","anchor":"modules"}]},{"id":"readme","group":"","title":"LiveTable","headers":[{"id":"✨ Features","anchor":"features"},{"id":"🚀 Quick Start","anchor":"quick-start"},{"id":"🏗 Usage Patterns","anchor":"usage-patterns"},{"id":"📚 Documentation","anchor":"documentation"},{"id":"🎯 Use Cases","anchor":"use-cases"},{"id":"📄 License","anchor":"license"},{"id":"🤝 Contributing","anchor":"contributing"},{"id":"📞 Support","anchor":"support"}]},{"id":"overview","group":"Getting Started","title":"LiveTable Overview","headers":[{"id":"What is LiveTable?","anchor":"what-is-livetable"},{"id":"Core Features","anchor":"core-features"},{"id":"Architecture Overview","anchor":"architecture-overview"},{"id":"Usage Patterns","anchor":"usage-patterns"},{"id":"When to Use LiveTable","anchor":"when-to-use-livetable"},{"id":"Performance Characteristics","anchor":"performance-characteristics"},{"id":"Integration Requirements","anchor":"integration-requirements"},{"id":"Learning Path","anchor":"learning-path"},{"id":"Real-World Examples","anchor":"real-world-examples"}]},{"id":"installation","group":"Getting Started","title":"Installation","headers":[{"id":"Prerequisites","anchor":"prerequisites"},{"id":"Step 1: Add Dependencies","anchor":"step-1-add-dependencies"},{"id":"Step 2: Application Configuration","anchor":"step-2-application-configuration"},{"id":"Step 3: Asset Setup","anchor":"step-3-asset-setup"},{"id":"Step 4: Database Setup","anchor":"step-4-database-setup"},{"id":"Step 5: Static File Configuration","anchor":"step-5-static-file-configuration"},{"id":"Step 6: PDF Export Setup (Optional)","anchor":"step-6-pdf-export-setup-optional"},{"id":"Step 7: Verification","anchor":"step-7-verification"},{"id":"Troubleshooting","anchor":"troubleshooting"},{"id":"Next Steps","anchor":"next-steps"}]},{"id":"quick-start","group":"Getting Started","title":"Quick Start Guide","headers":[{"id":"What We'll Build","anchor":"what-we-ll-build"},{"id":"Step 1: Create Your Schema","anchor":"step-1-create-your-schema"},{"id":"Step 2: Create a Simple LiveView","anchor":"step-2-create-a-simple-liveview"},{"id":"Step 3: Create the Template","anchor":"step-3-create-the-template"},{"id":"Step 4: Add Routes","anchor":"step-4-add-routes"},{"id":"Step 5: Seed Some Data","anchor":"step-5-seed-some-data"},{"id":"Step 6: Test Your Table","anchor":"step-6-test-your-table"},{"id":"Advanced Example: Custom Query with Joins","anchor":"advanced-example-custom-query-with-joins"},{"id":"What's Next?","anchor":"what-s-next"},{"id":"Troubleshooting","anchor":"troubleshooting"},{"id":"Learn More","anchor":"learn-more"}]},{"id":"configuration","group":"Configuration","title":"Configuration","headers":[{"id":"Configuration Hierarchy","anchor":"configuration-hierarchy"},{"id":"Application-wide Configuration","anchor":"application-wide-configuration"},{"id":"Per-table Configuration","anchor":"per-table-configuration"},{"id":"Configuration Options","anchor":"configuration-options"},{"id":"Environment-specific Configuration","anchor":"environment-specific-configuration"},{"id":"Oban Configuration","anchor":"oban-configuration"},{"id":"Custom Components","anchor":"custom-components"},{"id":"Complete Example","anchor":"complete-example"},{"id":"Complete Configuration Reference","anchor":"complete-configuration-reference"}]},{"id":"fields","group":"API Reference","title":"Fields API Reference","headers":[{"id":"Overview","anchor":"overview"},{"id":"Field Configuration Options","anchor":"field-configuration-options"},{"id":"Usage Patterns","anchor":"usage-patterns"},{"id":"Computed Fields","anchor":"computed-fields"},{"id":"Custom Renderers","anchor":"custom-renderers"},{"id":"Common Patterns","anchor":"common-patterns"},{"id":"Key Rules","anchor":"key-rules"}]},{"id":"filters","group":"API Reference","title":"Filters API Reference","headers":[{"id":"Overview","anchor":"overview"},{"id":"Filter Types","anchor":"filter-types"},{"id":"Common Filter Patterns","anchor":"common-filter-patterns"},{"id":"Boolean Filters","anchor":"boolean-filters"},{"id":"Range Filters","anchor":"range-filters"},{"id":"Select Filters","anchor":"select-filters"},{"id":"Real-World Examples","anchor":"real-world-examples"},{"id":"Filter Persistence","anchor":"filter-persistence"},{"id":"Performance Tips","anchor":"performance-tips"},{"id":"Troubleshooting","anchor":"troubleshooting"}]},{"id":"transformers","group":"API Reference","title":"Transformers API Reference","headers":[{"id":"Overview","anchor":"overview"},{"id":"Basic Usage","anchor":"basic-usage"},{"id":"Real-World Examples","anchor":"real-world-examples"},{"id":"State Management","anchor":"state-management"},{"id":"Advanced Patterns","anchor":"advanced-patterns"},{"id":"Performance Considerations","anchor":"performance-considerations"},{"id":"Debugging Transformers","anchor":"debugging-transformers"},{"id":"Best Practices","anchor":"best-practices"},{"id":"Troubleshooting","anchor":"troubleshooting"}]},{"id":"exports","group":"API Reference","title":"Exports API Reference","headers":[{"id":"Overview","anchor":"overview"},{"id":"Basic Setup","anchor":"basic-setup"},{"id":"Export Configuration Options","anchor":"export-configuration-options"},{"id":"CSV Exports","anchor":"csv-exports"},{"id":"PDF Exports","anchor":"pdf-exports"},{"id":"Export Process Flow","anchor":"export-process-flow"},{"id":"Troubleshooting","anchor":"troubleshooting"},{"id":"Examples","anchor":"examples"}]},{"id":"table-options","group":"API Reference","title":"Table Options API Reference","headers":[{"id":"Configuration Hierarchy","anchor":"configuration-hierarchy"},{"id":"Per-Table Configuration","anchor":"per-table-configuration"},{"id":"Application-Wide Configuration","anchor":"application-wide-configuration"},{"id":"Available Options","anchor":"available-options"},{"id":"Complete Configuration Examples","anchor":"complete-configuration-examples"},{"id":"Environment-Specific Configuration","anchor":"environment-specific-configuration"},{"id":"Card Mode Configuration","anchor":"card-mode-configuration"},{"id":"Custom Header Components","anchor":"custom-header-components"},{"id":"Performance Considerations","anchor":"performance-considerations"},{"id":"Troubleshooting","anchor":"troubleshooting"}]},{"id":"simple-table","group":"Examples","title":"Simple Table Examples","headers":[{"id":"Basic Product Table","anchor":"basic-product-table"},{"id":"User Management Table","anchor":"user-management-table"},{"id":"Order History Table","anchor":"order-history-table"},{"id":"Inventory Management Table","anchor":"inventory-management-table"},{"id":"Simple Read-Only Table","anchor":"simple-read-only-table"},{"id":"Key Patterns for Simple Tables","anchor":"key-patterns-for-simple-tables"}]},{"id":"complex-queries","group":"Examples","title":"Complex Query Examples","headers":[{"id":"Order Report with Customer Details","anchor":"order-report-with-customer-details"},{"id":"Product Analytics with Sales Data","anchor":"product-analytics-with-sales-data"},{"id":"Multi-Table Inventory Report","anchor":"multi-table-inventory-report"},{"id":"Customer Lifetime Value Analysis","anchor":"customer-lifetime-value-analysis"},{"id":"Key Patterns for Complex Queries","anchor":"key-patterns-for-complex-queries"}]},{"id":"troubleshooting","group":"Support","title":"Troubleshooting Guide","headers":[{"id":"Common Setup Issues","anchor":"common-setup-issues"},{"id":"Query and Data Issues","anchor":"query-and-data-issues"},{"id":"Performance Issues","anchor":"performance-issues"},{"id":"Runtime Errors","anchor":"runtime-errors"},{"id":"Export Issues","anchor":"export-issues"},{"id":"LiveView Integration Issues","anchor":"liveview-integration-issues"},{"id":"Debugging Techniques","anchor":"debugging-techniques"},{"id":"Getting Help","anchor":"getting-help"}]}],"tasks":[]}